Java Expert....Java/Open Source Addict

Redes Sociales

twitterlinkedinrss feedemail youtube

Mostrando entradas con la etiqueta jdk. Mostrar todas las entradas
Mostrando entradas con la etiqueta jdk. Mostrar todas las entradas

miércoles, 24 de octubre de 2018

Install OpenJDK on MAC Computer



Hello friends, in this post I'm going to show how install the OpenJDK on Mac computer using Homebrew Package Manager . This way is very simple, for this we need to do the following:

1.- First install homebrew package manager, the indications how to do this is here.
2.- Next open a console o terminal and execute the brew tap homebrew/cask-versions command to update versions.



3.- Next execute the brew cask install adoptopenjdk8 command to install the openJDK.


4.- After that we must configure the JAVA_HOME environment variable in the .bash_profile file with the value  /Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/ and export it.


Don't forget re-open the terminal to update the .bash_profile file.




5.- Finally verify the java version with the java -version command.



martes, 21 de febrero de 2017

Error Versión Maven : Unsupported major.minor version 51.0


Estimad@s amig@s

En esta oportunidad quiero compartirles un error que se me presentó con un proyecto desarrollado en JEE que utiliza Maven, al momento de compilar (Maven Build). El error que se me presentó es el siguiente:



Este error se debe a la incompatibilidad de la versión de JDK con la versión de Maven; es decir, cada versión de Maven requiere una versión de jdk base o superior para poder ejecutarse. Por ejemplo, en la versión de Maven 3.3 que tengo instalada en mi equipo la versión base de JDK es la 1.7 o superior, pero el error se produjo porque quiero ejecutar Maven 3.3 con una versión inferior al JDK; en este caso la 1.6. Se tiene dos soluciones:

  1. Bajar la versión de Maven  a la 3.2.5 que soporta JDK 1.6.
  2. Configurar el JDK de mis proyectos de Maven al JDK 1.7.

Espero les haya servido este post, no olviden compartir, comentar y subscribirse al canal de Matoosfe. En el cual encontrarán varios cursos relacionados con la tecnología Java.

miércoles, 16 de noviembre de 2016

This compilation unit is not on the build path of a Java Project



Estimad@s amig@s  les quiero compartir la solución a un error que se me presentó al momento de realizar un autocomplete en Eclipse para llamar a un método dentro de una clase. Lo cual se lo realiza con CTRL + SPACE. El error que salio, fue el siguiente:



Cabe mencionar que este error se suscita cuando en un proyecto Java no se tiene configurado el JDK. Pero en este caso se produjo porque se estaba editando la clase Java apuntando al proyecto principal de Maven, donde no se tiene configurado una unidad de compilación (JDK Library). La solución es editar la clase que se encuentra dentro del proyecto que contiene la clase como módulo. A continuación se expone la gráfica.




Espero les sirve de ayuda, no olviden revisar las redes sociales de Matoosfe, ni subscribirse al canal de youtube. Un abrazo, bendiciones.